/* filename: loadsim.g
** description: reads simulated data from ASCII data set into
** Gauss variable SERIES
** created:  09/18/01
**
** INPUT: nsim
*/

/* Load Simulated Time series:
** labor productivity, home investment, hours
*/
load path = ^datapath data_q[nsim,3] = "simdata.prn";

/* Compute growth rates for productivity and 
** home investment
*/
series        = zeros(nsim-1,3);
seriesvec     = zeros(nsim-1,2);
ti            = seqa(1,1,nsim-1);

series[.,1]   = data_q[2:nsim,1] - data_q[1:nsim-1,1]; 
series[.,2]   = data_q[2:nsim,2] - data_q[1:nsim-1,2];
series[.,3]   = data_q[2:nsim,3];

seriesvec[.,1]= data_q[1:nsim-1,1];
seriesvec[.,2]= data_q[1:nsim-1,2];
