/******************************************************************/
/*                                                                */
/*              Tabulate the variance decomposition               */
/*                                                                */
/*                        Frank Schorfheide                       */
/*                                                                */
/******************************************************************/

/* filename: spcttab.g
** created:  09/27/01
*/

new;
library pgraph;
cls;
#include c:\projects\active\homep\gauss\pathspec.g;


/* Read Posterior Simulation Summary Files
*/
lprior = "1";
mhrun  = "1";
depvar = "sdl" $| "sdy";
lmodel = "m0" $| "m1";
shock  = "1" $| "2" $| "3";

lpath = resupath $+ "\\mhrun" $+ mhrun $+ "\\";

modind = 1;
do until modind > 2;

   varind = 1;
   do until varind > 2;
   
      shind = 1;
      do until shind > 3;
      
         ldraws = lpath $+ lmodel[modind] $+ lprior $+ depvar[varind] $+ shock[shind] $+ mhrun $+ "s";
         open fhdraws = ^ldraws for read;

         sd_m = readr(fhdraws,1)';
         sr = seekr(fhdraws,4);
         sd_band = readr(fhdraws,2)';
 
         outrow =  depvar[varind] $+ "   " 
                $+ lmodel[modind] $+ "   "
                $+ shock[shind]   $+ "   "
                $+ ftos(sd_m,"%*.*lf",9,3)
                $+ ftos(sd_band[1],"%*.*lf",9,3)
                $+ ftos(sd_band[2],"%*.*lf",9,3);
  

         closeall fhdraws;
 
         $outrow;
         
         shind = shind + 1;

      endo;
      
      varind = varind+1;
      
   endo;
   
   modind = modind + 1;

endo;
